Subject: bug#43389: 28.0.50; Emacs memory leaks

From: Carlos O'Donell <[email-masked]>
Date: Thu, 19 Nov 2020 11:03:27 -0500

On 11/19/20 9:34 AM, Jean Louis wrote:
> * Eli Zaretskii <[email-masked]> [2020-11-19 17:05]:
>> Thanks.  If you can afford it, would you please try using the malloc
>> tracing tools pointed to here:
>>
>>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=43389#158
> 
> I have built it. Slight problem is that I do not get any output as
> written that I should get, something like this:
> 
> mtrace: writing to /tmp/mtrace.mtr.706

This was changed recently in commit 4594db1defd40289192a0ea641c50278277f1737
because output to stdout interferes with the application output so it is
disabled by default. The docs show that MTRACE_CTL_FILE will dictate
where the trace is written to and that MTRACE_CTL_VERBOSE will output
verbose information to stdout.

I've pushed a doc update to indicate that in the example.
 
> I do not see here:
> 
> LD_PRELOAD=./libmtrace.so ls
> block_size_rss.c  INSTALL	mtrace.c      trace2wl.c	    trace_hist.sh
> config.log	  libmtrace.so	mtrace.h      trace_allocs	    trace_plot.m
> config.status	  LICENSES	README.md     trace_allocs.c	    trace_run
> configure	  MAINTAINERS	sample.c      trace_analysis.sh     trace_run.c
> configure.ac	  Makefile	statistics.c  trace_block_size_rss  trace_sample
> COPYING		  Makefile.in	tests	      trace_dump	    trace_statistics
> COPYING.LIB	  malloc.h	trace2wl      trace_dump.c          util.h
> 
> But I did get something in /tmp/mtrace.mtr.XXX
> 
> So I will run Emacs that way.

That should work.

-- 
Cheers,
Carlos.